### Hierarchy

- Dimensions

### Implements

- IDimensions

## Index

### Constructors

- constructor

### Accessors

- height
- width

### Methods

- reverse

## Constructors

### constructor

- new Dimensions(width: number, height: number): Dimensions

- - Defined in classes/Dimensions.ts:13

  #### Parameters

  - ##### width: number

  - ##### height: number

  #### Returns Dimensions

## Accessors

### height

- get height(): number

- Implementation of IDimensions.height

  - Defined in classes/Dimensions.ts:24

  #### Returns number

### width

- get width(): number

- Implementation of IDimensions.width

  - Defined in classes/Dimensions.ts:22

  #### Returns number

## Methods

### reverse

- reverse(): Dimensions

- - Defined in classes/Dimensions.ts:26

  #### Returns Dimensions